<?php
$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_80be54d" . "4bf79b1f" . "177a6b45" . "55ae15ab" . "7" => base64_decode("Q291bGRuJ3Qgc2F2ZS4gVW5kZWZpbmVkIG1ldGEgZmllb" . "GQgSUQ="), "_e2e36e1c" . "2215f2613" . "68b20d157" . "40847e" => base64_decode("SU5TRVJUIElOVE8gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgKG1ldGFkYXRhX2lkLG1ldGFfdmFsdWUsbWV0YV90ZXh0KSBWQUxVRVMgKGludDptZXRhX2ZpZ" . "WxkX2lkLGludDprZXksIHN0cjp2YWwp"), "_4079816fa" . "f0560c6877" . "e40230b8b9" . "65f" => base64_decode("REVMRVRFIEZST00gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgV0hFUkUgbWV0YWRhdGFfaWQ9aW50Om1ldGF" . "fZmllbGRfaWQ="), "_2d71c655f2a62b5d8b25dbf8acf9" . "52fd" => base64_decode("Q291bGRuJ3QgbG9hZC" . "4gVW5kZWZpbmVkIG1l" . "dGEgZmllbGQgSUQ="), "_0c5123aa744f69bbc0e8b3ea2" . "f6e847d" => base64_decode("bG1zZw=" . "="), "_516340c618ee12b8bfb13b0d280f2" . "69f" => base64_decode("U0VMRUNUIG1ldGFfdGV4dCBGUk9NIEVSTVNfbWV0YWRhdGFfZmllbGRfdmFsdWVzIFdIRVJFIG1ldGFkYXRhX2" . "lkPWludDptZXRhX2ZpZWxkX2lkIE9SREVSIEJZIG1ldGFfdmFsdWU="), "_0926ec1594f048b9fe0aa9aa" . "05b9a243" => base64_decode("Q291bGRuJ3QgZGVsZXRlLiBVb" . "mRlZmluZWQgbWV0YSBmaWVsZC" . "BJRA=="), "_31767d7ad58e" . "706dbf47b7a51" . "a0fe6c4" => base64_decode("Y291" . "bnQ="), "_2d4b5f427d48c3244c2f" . "195479a6ced7" => base64_decode("Y29tbW9uLm1ldGFkYXRhLmJsYW5" . "rX3ZhbHVlcw=="), "_d162ad33b44d275ccc6e4b5280b6" . "18df" => base64_decode("bWV" . "0YV" . "90Z" . "Xh0"), "_7f628626dd1d55c71b1fc0932ff" . "d1d2c" => base64_decode("aXNfYXJyY" . "Xk="));





class DynamicMetaFieldValues extends ErrorHandler
{
    var $meta_field_id = 0;
    var $values;
    function __construct($_6e38cb9e043a07cd69a1711a6704c62a = 0)
    {
        $this->meta_field_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        $this->Clear();
    }
    function Clear()
    {
        $this->values = array();
    }
    function Load()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_2d71c65" . "5f2a62b5" . "d8b25dbf" . "8acf952f" . "d"]);
        }
        $this->Clear();
        $db = \Claromentis\Core\Services::I()->GetDb();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_516340c618ee12b8bfb13b0d2" . "80f269f"], $this->meta_field_id);
        if (!$_189840d11056515e52402d1412a0b6e4->hasData()) {
            return false;
        }
        while ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->values[] = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_d162ad33b44d275ccc6e4b5280b" . "618df"]];
        }
        return true;
    }
    function Save()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_80be54d4bf79" . "b1f177a6b4555" . "ae15ab7"]);
        }
        $this->Delete();
        $db = \Claromentis\Core\Services::I()->GetDb();
        foreach ($this->values as $key => $_c96f552040dea8086bf8bdd70059542f) {
            $db->query($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_e2e36e1c221" . "5f261368b20d" . "15740847e"], $this->meta_field_id, $key, $_c96f552040dea8086bf8bdd70059542f);
        }
        return true;
    }
    function Delete()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0926ec1594f048b9fe" . "0aa9aa05b9a243"]);
        }
        $db = \Claromentis\Core\Services::I()->GetDb();
        return !!$db->query($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4079816faf0560c6877e40230b8" . "b965f"], $this->meta_field_id);
    }
    function GetAllValues()
    {
        return $this->values;
    }
    function SetValues($values)
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_7f628626dd1d55c71b1f" . "c0932ffd1d2c"]($values) || $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_31767d7ad58e70" . "6dbf47b7a51a0fe" . "6c4"]($values) == 0) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_2d4b5f427d48c3244c2f195" . "479a6ced7"]));
        }
        $this->values = $values;
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_7f628626dd1" . "d55c71b1fc09" . "32ffd1d2c"]($this->values)) {
            $this->values = array();
        }
        return true;
    }
}